/* -- gmap :: v.: 0.01 r.: 24/04/25 @ vlk */
/*
* v. 0.01 @ vlk (24/04/25): utworzenie pliku (SKCZDEV-833)
*/

#autocomplete, #autocomplete2 {width: calc(100% - 380px); border-radius: 0; border: 0; padding: 7px 10px 8px 0; background: #fff; font-size: 20px; vertical-align: top;}
#map-container {position: relative; min-height: 310px; height: 500px; clear: both; border-top: 1px solid #d5d5d5; border-bottom: 1px solid #d5d5d5;}
#map:not(script) {display: inline-block; max-width: 100%; width: 100%; height: 500px;}
#map.map-atm {max-width: 100%; width: 100%;}
#map2 {height: 200px; width: 100%; box-shadow: 0 -1px 1px #000;}
#map-search {display: inline-block; width: 60px; height: 40px; background: url(../../img/search.png) center center no-repeat; cursor: pointer; vertical-align: middle;}
#geo {display: inline-block; width: 60px; height: 40px; border-left: 1px solid #d5d5d5; background: url(../../img/locate.png) center center no-repeat; cursor: pointer; vertical-align: middle;}
#filters {display: inline-block; height: 40px; padding-left: 10px; cursor: pointer; line-height: 40px; vertical-align: middle; font-size: 16px;}
#filters:after {content: ' '; display: inline-block; width: 30px; height: 12px; background: url(../../img/dropdown.png) center center no-repeat;}
#filters.active:after {transform: rotate(180deg);}

.lock {width: 43px; height: 43px; background: url(../../img/lock.png) #fff center center no-repeat; border-radius: 10px; cursor: pointer; margin: 10px; box-shadow: 0 1px 1px rgb(100, 100, 100);}
.lock.active {background-color: #d52b1e; box-shadow: inset 0 0 3px 1px #646464;}
.bg1 {margin-top: 20px; padding-bottom: 15px;}
.bg1 > .fr {font-size: 0;}
.bg1 .cant-find {margin-top: 5px; padding-left: 15px; font-size: 0.5rem; color: #E31818;}
.sr-only {position: absolute; width: 1px; height: 1px; margin: -1px; overflow: hidden; clip: rect(0, 0, 0, 0); white-space: nowrap; border: 0;}
#mob-map-switch {display: none;}

#sfiToggleRating .filters {font-size: 0.4rem;}
.filters {position: relative; border-top: 1px solid #d5d5d5; padding: 10px 30px 5px; font-size: 0;}
.filters a.filter {display: inline-block; margin-right: 10px; margin-bottom: 10px; padding: 6px 10px; color: #4e4e4e; background-color: #f5f5f5; font-size: 13px; cursor: pointer; vertical-align: top;}
.filters a.filter.active {color: #f5f5f5; background-color: #4e4e4e;}
.filters a.filter-clear {display: inline-block; padding-right: 25px; background: transparent url(../../img/cancel.png) no-repeat right center; font-size: 16px; color: #6c6c6c; cursor: pointer; float: right; margin-top: 4px;}

body.placowki-bankomaty #page-content section {margin-bottom: 1px;}
body.placowki-bankomaty div.container {padding: 0 .27rem;}
body.placowki-bankomaty #single-col {margin-top: -64px;}
body.placowki-bankomaty .scroll-menu {padding: 0;}
body.placowki-bankomaty .switch-btn {padding-top: 5px;}

#result {display: inline-block; max-width: 30%; min-width: 30%; max-height: 100%; height: 100%; background: #fff; vertical-align: top; outline: 0 !important;}
#result #no-results {font-size: 0.45rem; text-align: center; padding: 0.5rem 0;}
#result a.route {float: right; display: inline-block; padding-right: 10px; padding-left: 25px; background: transparent url(../../img/route.png) no-repeat left center; font-size: 11px;}
#result table tbody tr.result-fat td {padding-top: 20px; font-weight: 600;}
#result table {max-width: 100%; width: 100%; border-collapse: collapse; font-size: 13px; font-weight: 300; min-width:  225px;}
#result table tbody {cursor: pointer;}
#result table tbody:nth-of-type(2n+1) {background-color: #f5f5f5;}
#result table tbody:nth-of-type(2n) {background-color: #fff;}

#result table tbody tr:first-of-type td:first-of-type {position: relative; padding-bottom: 0; font-size: 16px;}
#result table tbody tr:first-of-type td:first-of-type:after {content: ''; position: absolute; left: 5px; top: 23px; display: inline-block; width: 16px; height: 21px; background-size: 16px auto !important;}
#result table tbody.red tr:first-of-type td:first-of-type:before {background: url(../../img/pin-red.png) no-repeat 0 0;}
#result table tbody.blue tr:first-of-type td:first-of-type:before {background: url(../../img/pin-blue.png) no-repeat 0 0;}
#result table tbody.blik tr:first-of-type td:first-of-type:before {background: url(../../img/pin-blik.png) no-repeat 0 0;}
#result table tbody.orange tr:first-of-type td:first-of-type:before {background: url(../../img/pin-orange.png) no-repeat 0 0;}
#result table tbody.green tr:first-of-type td:first-of-type:before {background: url(../../img/pin-green.png) no-repeat 0 0;}
#result table tbody.brown tr:first-of-type td:first-of-type:before {background: url(../../img/pin-brown.png) no-repeat 0 0;}
#result table tbody.blue2 tr:first-of-type td:first-of-type:before {background: url(../../img/pin-blue2.png) no-repeat 0 0;}

#result table tbody tr:first-of-type td {padding-top: 20px;}
#result table tbody tr td {width: 50%; vertical-align: top; font-size: 0.325rem; line-height: 0.375rem;}
#result table tbody tr td p {font-size: 0.35rem;max-width: calc(100% - 130px);display: inline-block;}
#result table tbody tr td:first-of-type {padding-left: 25px;}
#result table.mrabaty tbody tr td:first-of-type {padding-left: 15px;min-width:  225px;box-sizing: border-box;max-width: 100%;}
#result table tbody tr td:last-of-type {padding-right: 20px;}
#result table tbody tr:last-of-type td {padding-bottom: 20px;}

#result table tbody .icons img.siec,
#result table tbody .icons img.bank {width: 20px; height: auto; margin-top: 10px; margin-right: 10px;}

#result table tbody span.status {display: inline-block; width: 8px; height: 8px; margin-right: 5px; border-radius: 50%; background: #37AF0F; vertical-align: middle;}
#result table tbody span.status.crash {background: #FFB400;}

#result .popular th {padding: 0.5em 1.2em; font-size: 0.6rem;}
#result .popular td {padding-top: 2px; font-weight: bold; background: #fff;}
#result .popular tr:nth-of-type(2) td {padding-top: 13px;}
#result .popular td a {display: block; padding: 4px 0; font-size: 1.2em; font-weight: normal; color: #e41609;}

#result .toggle-button {padding-bottom: 10px;}
#result .mrabaty-rows td {padding-top: 2em;}
#result .mrabaty-point {display: inline-block;}
#result .mrabaty-point:before {content: ''; display: inline-block; width: 16px; height: 21px; margin-right: 5px; background: url(../../img/pin-red.png); vertical-align: middle; background-size: 16px auto !important;}
#result .red-baloon .mrabaty-point {font-weight: 600;}
#result .gray-baloon .mrabaty-point:before {background: url(../../img/pin-gray.png);}

.download-map {display: inline-block; padding: 15px 15px 15px 30px; background: url(../../img/download-map.png) left center no-repeat; color: #222; font-size: 11px; font-weight: 600; cursor: pointer;}
button.gm-control-active:focus {outline: 4px solid var(--outline-color); outline-offset: 2px; border-radius: 2px;}
@media screen and (max-width: 750px) {
	.bg1:after {content: ''; clear: both; display: block;}
}
 @media screen and (max-width: 670px) {
	 #autocomplete, #autocomplete2 {width: 100%; margin-right: 0; padding-left: 0; text-indent: 10px;}
}
@media screen and (max-width: 640px) {
	.bg1 {padding-bottom: 50px;}
	.bg1 > .fr {width: 100%;}
	.bg1 > .fr a {float: left;}
}
@media screen and (max-width: 480px) {
	.bg1 > .fr {display: block; width: 100%; font-size: 0; text-align: right;}
	.bg1 .cant-find {clear: both;}
	#map-container {min-height: 0; margin-top: 40px; height: auto;}
	#mob-map-switch {display: block; border-top: 1px solid #D5D5D5; padding: 15px; clear: both; background: #F5F5F5; font-size: 0.4rem;}
	#map {display: block; min-width: 100%; min-height: 0; max-width: 100%; max-height: 300px;}
	.switch-btn h2 {display: block !important;}
	#filters {display: block; height: auto; width: 100%; padding: 15px; border-top: 1px solid #D5D5D5; margin: 10px 0 0; box-sizing: border-box; line-height: 0.4rem; text-align: left; background: #F5F5F5;}
	#filters:after {content: none;}
	#result {min-width: 100%; min-height: 0; margin: 0; max-width: 100%; height: auto;}
	.switch-btn.short {margin-top: 10px; text-align: center;}
	.switch-btn.short a {display: inline-block; width: 50%; box-sizing: border-box;}
	.switch-btn.short a.active {background-color: #535456; color: #fff;}
}
